#!/usr/bin/perl

use strict;

my $framenum; 
my $frame; 
my $marktype;
my $mark;

while (<>)
{
	($framenum, $frame, $marktype, $mark) = /(framenum:)\s+(\d+)\s+(marktype:)\s+(\d+)/ and do {
		$frame /= 25;
		printf("$framenum %3d:%02d  $marktype $mark\n", $frame / 60, ($frame % 60));
		next;
	};
	print "$_";
}
